package com.qmth.sop.business.bean.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.common.enums.InfluenceDegreeEnum;
import com.qmth.sop.common.enums.QualityProblemReasonEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 质量监控分析报表bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QualityAnalyseReportBean implements Serializable {

    @ApiModelProperty(value = "名称")
    String name;

    @ApiModelProperty(value = "质量问题总数")
    Integer sum;

    @ApiModelProperty(value = "影响度A")
    InfluenceDegreeEnum influenceDegreeA;

    @ApiModelProperty(value = "影响度A比率")
    BigDecimal influenceDegreeARate;

    @ApiModelProperty(value = "影响度B")
    InfluenceDegreeEnum influenceDegreeB;

    @ApiModelProperty(value = "影响度B比率")
    BigDecimal influenceDegreeBRate;

    @ApiModelProperty(value = "影响度C")
    InfluenceDegreeEnum influenceDegreeC;

    @ApiModelProperty(value = "影响度C比率")
    BigDecimal influenceDegreeCRate;

    @ApiModelProperty(value = "影响度D")
    InfluenceDegreeEnum influenceDegreeD;

    @ApiModelProperty(value = "影响度D比率")
    BigDecimal influenceDegreeDRate;

    @ApiModelProperty(value = "问题原因")
    QualityProblemReasonEnum reason;

    @ApiModelProperty(value = "问题原因总数")
    Integer reasonSum;

    @ApiModelProperty(value = "问题原因比率")
    BigDecimal reasonRate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSum() {
        return sum;
    }

    public void setSum(Integer sum) {
        this.sum = sum;
    }

    public InfluenceDegreeEnum getInfluenceDegreeA() {
        return influenceDegreeA;
    }

    public void setInfluenceDegreeA(InfluenceDegreeEnum influenceDegreeA) {
        this.influenceDegreeA = influenceDegreeA;
    }

    public BigDecimal getInfluenceDegreeARate() {
        return influenceDegreeARate;
    }

    public void setInfluenceDegreeARate(BigDecimal influenceDegreeARate) {
        this.influenceDegreeARate = influenceDegreeARate;
    }

    public InfluenceDegreeEnum getInfluenceDegreeB() {
        return influenceDegreeB;
    }

    public void setInfluenceDegreeB(InfluenceDegreeEnum influenceDegreeB) {
        this.influenceDegreeB = influenceDegreeB;
    }

    public BigDecimal getInfluenceDegreeBRate() {
        return influenceDegreeBRate;
    }

    public void setInfluenceDegreeBRate(BigDecimal influenceDegreeBRate) {
        this.influenceDegreeBRate = influenceDegreeBRate;
    }

    public InfluenceDegreeEnum getInfluenceDegreeC() {
        return influenceDegreeC;
    }

    public void setInfluenceDegreeC(InfluenceDegreeEnum influenceDegreeC) {
        this.influenceDegreeC = influenceDegreeC;
    }

    public BigDecimal getInfluenceDegreeCRate() {
        return influenceDegreeCRate;
    }

    public void setInfluenceDegreeCRate(BigDecimal influenceDegreeCRate) {
        this.influenceDegreeCRate = influenceDegreeCRate;
    }

    public InfluenceDegreeEnum getInfluenceDegreeD() {
        return influenceDegreeD;
    }

    public void setInfluenceDegreeD(InfluenceDegreeEnum influenceDegreeD) {
        this.influenceDegreeD = influenceDegreeD;
    }

    public BigDecimal getInfluenceDegreeDRate() {
        return influenceDegreeDRate;
    }

    public void setInfluenceDegreeDRate(BigDecimal influenceDegreeDRate) {
        this.influenceDegreeDRate = influenceDegreeDRate;
    }

    public QualityProblemReasonEnum getReason() {
        return reason;
    }

    public void setReason(QualityProblemReasonEnum reason) {
        this.reason = reason;
    }

    public Integer getReasonSum() {
        return reasonSum;
    }

    public void setReasonSum(Integer reasonSum) {
        this.reasonSum = reasonSum;
    }

    public BigDecimal getReasonRate() {
        return reasonRate;
    }

    public void setReasonRate(BigDecimal reasonRate) {
        this.reasonRate = reasonRate;
    }
}
